> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete feature

> Delete an archived feature definition that is not in use.



## OpenAPI

````yaml delete /v1/features/{code}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/features/{code}:
    delete:
      tags:
        - Features
      summary: Delete feature
      description: Delete an archived feature definition that is not in use.
      operationId: deleteFeature
      parameters:
        - schema:
            type: string
          required: true
          name: code
          in: path
      responses:
        '204':
          description: Feature deleted.
        '400':
          description: Feature is active or assigned to a product or customer.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: Feature not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````